> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all RBAC roles

> Use when building role pickers or permission UIs. Returns all roles with permissions and descriptions.



## OpenAPI

````yaml /api-reference/openapi.json get /rbac/roles
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /rbac/roles:
    get:
      tags:
        - RBAC
      summary: List all RBAC roles
      description: >-
        Use when building role pickers or permission UIs. Returns all roles with
        permissions and descriptions.
      operationId: listRbacRoles
      responses:
        '200':
          description: List of roles
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````